Subject: Re: bug#9470: 24.0.50; Possible bidi-related slowness
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 17 Sep 2011 18:22:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 10 Sep 2011 23:53:30 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Lars Magne Ingebrigtsen <[email-masked]>
> > Cc: [email-masked]
> > Date: Sat, 10 Sep 2011 22:42:31 +0200
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > The question is, what is "exciting", and what should we do when we
> > > "bail out"?
> > 
> > I defer to you what would be exciting.  :-)  I would have thought the
> > presence of no strongly R2L characters would be a measure of
> > non-excitingness...
> 
> The long search is for the paragraph beginning.  Looking for R2L
> characters during that search will slow it even more.
> 
> Anyway, I reopened the bug and will try to think of something.

I committed a fix (revno 105807) that should keep the search for
paragraph beginning at bay.  Using your example, redisplay is now as
fast (or as slow ;-) as elsewhere.

I'm closing this bug.  Feel free to reopen if there are any
left-overs, or file a new bug if I caused regressions elsewhere.